"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = __importDefault(require("../utils"));
function getFileLoader(rcb) {
    return ({
        loader: require.resolve('file-loader'),
        exclude: [/(^|\.(svg|js|jsx|ts|tsx|html))$/],
        options: {
            name: utils_1.default.isDev()
                ? 'images/[name].[ext]?[contenthash]'
                : '/images/[name].[ext]?[contenthash]',
            esModule: rcb.esModuleImage || false
        },
        type: 'javascript/auto'
    });
}
exports.default = getFileLoader;
