const FILE_REGEX = /\.svg$/;

export default function getSvgLoader() {
    return ({
        test: FILE_REGEX,
        use: {
            loader: require.resolve('svg-url-loader'),
            options: {
                // make all svg images to work in IE
                iesafe: true
            }
        },
        type: 'javascript/auto'
    });
};
